Package Details: brother-hl2030 2.0.1-6

Git Clone URL: https://aur.archlinux.org/brother-hl2030.git (read-only)
Package Base: brother-hl2030
Description: Brother HL-2030 CUPS driver
Upstream URL: http://www.brother.com
Licenses: GPL
Submitter: None
Maintainer: Aerion
Last Packager: Aerion
Votes: 33
Popularity: 0.023957
First Submitted: 2007-12-05 23:59
Last Updated: 2015-07-14 13:09

Latest Comments

Maniaxx commented on 2017-09-11 20:34

Like @zhuk_av said below:
"a2ps should be added as dependency for all architectures. Without it printer only blinks with green light, but not printing at all."
Happened to me as well. I'm glad that it works now. I would have never figured that out. Thx zhuk_av.
Its the only proper driver for the HL2030. Gutenprint cannot handle this GDI printer and HL1250 driver is page shifted and 1200dpi is buggy.
Thanks Aerion for keeping it up!

aguitel commented on 2016-01-02 12:44

this package work on brother model HL-1212W

lonaowna commented on 2015-09-11 09:57

Thank you for maintaining this! I created a brother-hl2040 package based on your work.

I cleaned up the PKGBUILD for this package bit (and added the missing 'cups' dependency), you can use it if you want to:
https://gist.github.com/lonaowna/9d2deb0ff5589cb51a09

Aerion commented on 2014-02-10 16:24

Removed out-of-date flag as the latest version available on Brother's website is still 2.0.1-1

PKGBUILD updated with the Pastebin version I posted back in July last year, so that this package can be installed hassle free.

Aerion commented on 2013-07-08 16:14

I had problems installing this package, so I've created a cleaned up version of the PKGBUILD file that removes rpmextract from makedepends. It also complies with the new package() function requirement.

http://pastebin.com/v2Ljt5nr

I hope this helps others with the same problem.

louipc commented on 2011-07-03 23:52

rpmextract is not needed. Read previous comment.
patch is part of base-devel group. If you don't have that installed don't bother trying to build packages.

lz3060 commented on 2011-07-03 23:16

makedepends=('rpmextract' 'patch')

louipc commented on 2011-04-07 05:54

rpmextract is no longer needed. makepkg will use bsdtar from libarchive to automatically extract the rpms.

Anonymous comment on 2011-03-17 19:29

a2ps added as a dependency. Thanks zhuk_av.

zhuk_av commented on 2011-03-17 09:19

a2ps should be added as dependency for all architectures. Without it printer only blinks with green light, but not printing at all.

All comments